qrrs(1)

NAME
qrrs - CLI QR code generator and reader

SYNOPSIS
qrrs [-r|--read] [-t|--terminal] [-o|--output-format] [-m|--margin] [-i|--invert_colors] [--generate-completions] [-e|--error-correction-level] [-h|--help] [-V|--version] [INPUT] [OUTPUT]

DESCRIPTION
CLI QR code generator and reader

OPTIONS

-r, --read
    Read the qrcode instead of generating it

-t, --terminal
    Display code in terminal

-o, --output-format=FORMAT [default: image]
    Format in which the qrcode will be saved
    [possible values: image, svg, unicode]

-m, --margin=margin [default: 5]
    Margin applied to qrcode

-i, --invert_colors
    Invert qrcode colors

--generate-completions=SHELL
    Generate completion file for the specified shell
    [possible values: bash, elvish, fish, powershell, zsh]

-e, --error-correction-level=LEVEL [default: medium]
    Error correction level for the QR code
    [possible values: low, l, medium, m, quartile, q, high, h]

-h, --help
    Print help

-V, --version
    Print version

[INPUT]
    Input data

[OUTPUT]
    Output file

EXTRA
Examples:
  qrrs "Some text"
  qrrs "Some text" /tmp/qr.png
  qrrs --read /tmp/qr.png
  Some text
  qrrs --read /tmp/qr.png /tmp/qr1.png
  qrrs --read /tmp/qr1.png
  Some text

VERSION
v0.1.11

AUTHORS
Lenivaya <danylo.osipchuk@proton.me>

EXAMPLES OF USAGE
qrrs "Your input here"
qrrs "Something" /tmp/qr.png
qrrs -r /tmp/qr.png